com.verisign.epp.serverstub

## Class IdnMapDomainHandler

- java.lang.Object
- - com.verisign.epp.framework.EPPDomainHandler
  - - com.verisign.epp.serverstub.DomainHandler
    - - com.verisign.epp.serverstub.IdnMapDomainHandler

- All Implemented Interfaces:
    EPPEventHandler

      public class IdnMapDomainHandler
      extends DomainHandler

  The `IdnMapDomainHandler` class extends `DomainHandler` to include handling the IDN Map Extension.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdnMapDomainHandler()` Constructs an instance of IdnMapDomainHandler

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected EPPEventResponse` | `doDomainCreate(EPPEvent aEvent, java.lang.Object aData)` Override base handler `doDomainCreate` method and add handling of the IDN Map Extension.
    `protected EPPEventResponse` | `doDomainInfo(EPPEvent aEvent, java.lang.Object aData)` Override base handler `doDomainInfo` method and add handling of the IDN Map Extension.
    `protected void` | `preHandleEvent(EPPEvent aEvent, java.lang.Object aData)` Will ensure that the namestore extension is provided.

    - ### Methods inherited from class com.verisign.epp.serverstub.DomainHandler

      `doDomainCheck, doDomainDelete, doDomainRenew, doDomainTransfer, doDomainUpdate, postHandleEvent`

    - ### Methods inherited from class com.verisign.epp.framework.EPPDomainHandler

      `getNamespace, handleEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IdnMapDomainHandler

          public IdnMapDomainHandler()

      Constructs an instance of IdnMapDomainHandler

  - ### Method Detail

    - #### preHandleEvent

          protected void preHandleEvent(EPPEvent aEvent,
                                        java.lang.Object aData)
                                 throws EPPHandleEventException

      Will ensure that the namestore extension is provided.
      Overrides:
        `preHandleEvent` in class `DomainHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomainHandler` This is assumed to be an instance of SessionData here.
      Throws:
        `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`

    - #### doDomainInfo

          protected EPPEventResponse doDomainInfo(EPPEvent aEvent,
                                                  java.lang.Object aData)

      Override base handler `doDomainInfo` method and add handling of the IDN Map Extension.
      Overrides:
        `doDomainInfo` in class `DomainHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doDomainCreate

          protected EPPEventResponse doDomainCreate(EPPEvent aEvent,
                                                    java.lang.Object aData)

      Override base handler `doDomainCreate` method and add handling of the IDN Map Extension.
      Overrides:
        `doDomainCreate` in class `DomainHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

Copyright © VeriSign Inc. All Rights Reserved.